SPECRB(1)

NAME
specrb - standalone test runner for test/spec and Test::Unit test suites

SYNOPSIS
specrb [OPTIONS] [FILES | -a ] [-- untouched arguments]

DESCRIPTION
The Ruby script specrb allows you to run tests written with test/spec from the command line. It can also be used for plain Test::Unit test suites. You can either specify the names of the test files you want to run, or let specrb find automatically all the tests in your project, by using the -a switch (see TEST/SPEC OPTIONS below).

You can also use various options on the command line to pass parameters to the Ruby interpreterm or to modify the behavior of test/spec and/or test/unit.

RUBY OPTIONS

-e, --eval LINE
    evaluate a LINE of code

-d, --debug
    set debugging flags (set $DEBUG to true)

-w, --warn
    turn warnings on for your script

-I, --include PATH
    specify $LOAD_PATH (may be used more than once)

-r, --require LIBRARY
    require the LIBRARY, before executing your script

TEST/SPEC OPTIONS:

-s, --specdox
    do AgileDox-like output

--rdox
    do AgileDox-like output with RDoc formatting

-a, --automatic
    gather tests from ./test/, include ./lib/

TEST::UNIT OPTIONS:

-n, --name NAME
    runs tests matching regexp NAME

-t, --testcase TESTCASE
    runs tests in TestCases matching regexp TESTCASE

COMMON OPTIONS:

-h, --help
    show a message similar to this manpage

--version
    show version

AUTHORS
The test/spec library has been written by Christian Neukirchen <http://purl.org/net/chneukirchen>.

This manual page, inspired by the help message of specrb, has been written for the Debian Project by Cédric Boutillier (but may used by others).